<!DOCTYPE html>
<html lang="en">
    <head>
        <meta content="IE=edge" http-equiv="X-UA-Compatible">
        <meta content="width=device-width, initial-scale=1" name="viewport">
        <link rel="icon" type="image/png" sizes="32x32" href="{{ site.baseurl }}/assets/img/favicon-32x32.png" />
        <link rel="icon" type="image/png" sizes="16x16" href="{{ site.baseurl }}/assets/img/favicon-16x16.png" />
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
        <link id="theme-default" rel="stylesheet" href="{{ site.baseurl }}/assets/css/default.css"/>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
        <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        <script src="{{ site.baseurl }}/assets/scripts/main.js"></script>
        <script src="{{ site.baseurl }}/assets/scripts/user.js"></script>
        <script src="{{ site.baseurl }}/assets/scripts/preferences.js"></script>
        <script src="{{ site.baseurl }}/assets/scripts/bookmarks.js"></script>
        {% if page.collection == 'guides' %}
        <script src="{{ site.baseurl }}/assets/scripts/lib/confetti.min.js"></script>
        <script src="{{ site.baseurl }}/assets/scripts/guides.js"></script>
        {% endif %}
        <script src="{{ site.baseurl }}/assets/scripts/lib/clipboard.js"></script>
        <title>{{ page.title }} - Walrus XML</title>
    </head>
    <body>
        <wrapper class="d-flex flex-column">
            {% include nav.html %}
            <div {% unless page.url == '/' %}class="container-fluid content h"{% endunless %}>
                {{ content }}
            </div>
            {% include footer.html %}
            <div class="modal fade" id="userPreferencesModal" tabindex="-1" role="dialog" aria-labelledby="userPreferencesModal" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Settings</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="container">
                                <div id="user-alert-wrapper" style="display:none">
                                    <div id="user-alert" class="alert alert-info"></div>
                                </div>
                                <form class="form-horizontal">
                                    <div class="form-group row">
                                        <label for="preference-theme" class="col-sm-3 control-label">Theme</label>
                                        <div class="col-sm-9">
                                            <select id="preference-theme" name="theme" class="form-control preference">
                                                <option value="default">Default</option>
                                                <option value="dark">Dark</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label for="preference-dyslexia" class="col-sm-3 control-label">Dyslexia Assist</label>
                                        <div class="col-sm-9">
                                            <select id="preference-dyslexia" name="dyslexia" class="form-control preference">
                                                <option value="false">Disabled</option>
                                                <option value="true">Enabled</option>
                                            </select>
                                        </div>
                                    </div>
                                </form>
                                <hr>
                                <i class="text-mute small">This website uses cookies to save your settings. To learn more about the use of cookies on our website, read our <a href="https://Walrus.gg/cookies" target="_blank"> Cookie Policy</a></i>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" id="user-reset-preferences" class="btn btn-danger">Reset</button>
                            <button type="button" id="user-save-preferences" class="btn btn-success mr-auto">Save</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal fade" id="userBookmarksModal" tabindex="-1" role="dialog" aria-labelledby="userBookmarksModal" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Bookmarks</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="container">
                                <div class="no-bookmarks">
                                    You don't currently have any bookmarks.<br>
                                    Click on any <i class="far fa-bookmark"></i> bookmark icon to bookmark a section for later.
                                </div>
                                <div class="bookmarks-wrapper"></div>
                                <hr>
                                <i class="text-mute small">This website uses cookies to save your bookmarks. To learn more about the use of cookies on our website, read our <a href="https://Walrus.gg/cookies" target="_blank"> Cookie Policy</a></i>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" id="user-reset-bookmarks" class="btn btn-danger mr-auto">Reset</button>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
        </wrapper>
    </body>
</html>
